Subject: THERAPY GROUP FOR GAY PRIESTS...
From: [email-masked]
Date: Sun, 6 Apr 1997 12:41:59 -0400 (EDT)

Group forming for gay priests and brothers, led by experienced group
therapist.  A place to explore issues in a confidential space.  For
information call Charlie Isola at  212-727-9363 or email CHASISOLA@ AOL.COM.